#ifndef BWT_H
#define BWT_H

#define BWT_COMPRESS    0
#define BWT_UNCOMPRESS  1

extern word    crc, readCRC;
extern word    bytesIn, bytesOut;
extern word    cumBytesIn, cumBytesOut;
extern word    blockSize, curBlockSize;
extern word   *stripe;
extern word   *ptr;
extern word   *freq;
extern byte   *block, *block2;

void           BWTinit(int action, word blockSize);
void           BWTdeInit();
int            BWTcompressFile(FILE *iFile, FILE *oFile);
int            BWTuncompressFile(FILE *iFile, FILE *oFile);

#endif
