#ifndef RLE_H
#define RLE_H

#include "types.h"
#include "iobuf.h"

class RLE
{
public:
                 RLE(InputBuf *iBuf, OutputBuf *oBuf, ushort minRunLength);
    void         init(InputBuf *iBuf, OutputBuf *oBuf, ushort minRunLength);
    void         encodeBlock();
    void         decodeBlock();
protected:
    int          last;
    ushort       runLength, minRunLength;
    InputBuf    *iBuf;
    OutputBuf   *oBuf;
};

#endif
